﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using C1.Web.Wijmo.Controls.C1Chart;
using C1.Web.Wijmo.Controls.C1Chart;
using System.Data.OleDb;
public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //Get Data from Database.
        DataSet ds = GetDataSource();

        //Create 1st DataTable
        DataTable dt1 = ds.Tables[0];
        //Calculate TotalCost of products
        DataColumn totalcost = new DataColumn("TotalCost", typeof(double));
        dt1.Columns.Add(totalcost);
        dt1.Columns["TotalCost"].Expression = dt1.Columns[2].ColumnName + "*" + dt1.Columns[3].ColumnName;

        //Adding 1st object to DataBindings.
        //ProductName-TotalCost
        C1CompositeChartBinding cBindingItem = new C1CompositeChartBinding();
        cBindingItem.DataMember = dt1.TableName;
        cBindingItem.XField = "ProductName";
        cBindingItem.XFieldType = ChartDataXFieldType.String;
        cBindingItem.YField = "TotalCost";
        cBindingItem.YFieldType = ChartDataYFieldType.Number;
        cBindingItem.Label = "ProductName-TotalCost";
        cBindingItem.Type = ChartSeriesType.Line;
        C1CompositeChart1.DataBindings.Add(cBindingItem);

        //Create 2nd DataTable
        DataTable dt2 = ds.Tables[1];
        //Adding 1st object to DataBindings.
        //ProductName-TrainingExpenses-Year 2012
        C1CompositeChartBinding cBindingItem2 = new C1CompositeChartBinding();
        cBindingItem2.DataMember = dt2.TableName;
        cBindingItem2.XField = "ProductName";
        cBindingItem2.XFieldType = ChartDataXFieldType.String;
        cBindingItem2.YField = "Expenses";
        cBindingItem2.YFieldType = ChartDataYFieldType.Number;
        cBindingItem2.LegendEntry = true;
        cBindingItem2.Label = "TrainingExpenses-2012";
        cBindingItem2.Type = ChartSeriesType.Column;
        C1CompositeChart1.DataBindings.Add(cBindingItem2);

        //---------------------------------
        //Setting DataSource of C1CompositeChart
        C1CompositeChart1.DataSource = ds;
        C1CompositeChart1.DataBind();
    }
  
    private DataSet GetDataSource()
    {
        DataSet ds = new DataSet();
        OleDbConnection con = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source=" + Server.MapPath("~/App_Data/ChartBinding.mdb"));
        OleDbCommand cmd = new OleDbCommand("Select Top 5 * from Products", con);
        OleDbDataAdapter da = new OleDbDataAdapter(cmd);
        da.Fill(ds, "Products");
        da.SelectCommand = new OleDbCommand("Select Top 5 [Training ID], ProductName, Expenses from TrainingExpenses where StartDate Like '%2012'", con);
        da.Fill(ds, "TrainingExpenses");
        return ds;
    }
}